#ifndef INC_GTDRAWABLE_H
#define INC_GTDRAWABLE_H

#include <X11/Xlib.h>

#include "gtbase.h"
#include "gtdisplay.h"

/************************************************************************\
*
* GtDrawable class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

class GtDrawable : public GtBase
{
public:
		/* Standard */
	GtDrawable(void);
	virtual sbool Init(GtDisplay *d,GtTag *tgs);
	sbool Init(GtTag *tgs);
	void  Get(GtTag *tgs);
	char *GetClass(void) { return("GtDrawable"); }
	sbool IsSubClassOf(char *cn);
		/* Values */
	inline Drawable XDr() { return(dr); }
protected:
	GtDisplay *dsp;
	Drawable dr;
};

#endif /* INC_GTDRAWABLE_H */
